# Create your views here.
from django.template import Context, loader
from twitter_site.my_twitter.models import User,Twit
import twitter
from django.http import HttpResponse
from django import forms
from django import shortcuts
from django.utils.html import urlize

class UserForm(forms.Form):
	username=forms.CharField(max_length=100)

def showall(request):
	my_users=User.objects.all()
	users_len=User.objects.count()
	i=0
	out=""
	while i <users_len:
		out+=my_users[i].user
		out+=" -> "
		link="http://127.0.0.1:8000/my_twitter/showuser/"+my_users[i].user
		link=urlize(link)
		out+=link
		out+="<p>"
		i=i+1
	
	return HttpResponse(out)



def adduser(request):
	if request.method == 'POST':
		form = UserForm(request.POST) 
		if form.is_valid():
			name=form.cleaned_data['username']
			
			#save user
			my_user = User(user=name)
			my_user.save()

			#load Twitter API
			api=twitter.Api()
			my_api=api.GetUserTimeline(name,15)

			for i in my_api:
				twit=Twit(text=i.text,name=my_user)
				twit.save()
		return shortcuts.render_to_response('my_twitter/adduser.html', {
		'form': form,
		})
	else:
		form = UserForm() 
	return shortcuts.render_to_response('my_twitter/adduser.html', {
		'form': form,
	})

def showuser(request,who):
	my_user = User(user=who)
	twit=Twit.objects.all()
	tlen=Twit.objects.count()
	out="<p>"
	i=0
	while i < tlen:
		if str(twit[i].name) == str(my_user.user):
			out+=twit[i].text
			out+="</p>"
		i=i+1
	return HttpResponse(out)

